# XQilla Simple API Documentation

# ExternalFunction Class Reference

`#include <ExternalFunction.hpp>`

List of all members.

## Classes

class | Arguments

## Public Member Functions

virtual | ~ExternalFunction ()
const XMLCh * | getURI () const
const XMLCh * | getName () const
const XMLCh * | getURINameHash () const
unsigned int | getNumberOfArguments () const
virtual Result | execute (const Arguments *args, DynamicContext *context) const
| Execute the (non-updating) function.
virtual PendingUpdateList | executeUpdate (const Arguments *args, DynamicContext *context) const
| Execute the updating function.

## Protected Member Functions

| ExternalFunction (const XMLCh *uri, const XMLCh *name, unsigned int numberOfArgs, XPath2MemoryManager *mm)

## Protected Attributes

const XMLCh * | uri_
const XMLCh * | name_
const XMLCh * | uriName_
unsigned int | numArgs_

## Constructor & Destructor Documentation

virtual ExternalFunction::~ExternalFunction | ( |  | ) | `[inline, virtual]`

ExternalFunction::ExternalFunction | ( | const XMLCh * | uri,
|  | const XMLCh * | name,
|  | unsigned int | numberOfArgs,
|  | XPath2MemoryManager * | mm |
| ) |  |  | `[protected]`

## Member Function Documentation

virtual Result ExternalFunction::execute | ( | const Arguments * | args,
|  | DynamicContext * | context |
| ) |  |  | const`[virtual]`

Execute the (non-updating) function.

virtual PendingUpdateList ExternalFunction::executeUpdate | ( | const Arguments * | args,
|  | DynamicContext * | context |
| ) |  |  | const`[virtual]`

Execute the updating function.

const XMLCh* ExternalFunction::getName | ( |  | ) | const`[inline]`

unsigned int ExternalFunction::getNumberOfArguments | ( |  | ) | const`[inline]`

const XMLCh* ExternalFunction::getURI | ( |  | ) | const`[inline]`

const XMLCh* ExternalFunction::getURINameHash | ( |  | ) | const`[inline]`

## Member Data Documentation

const XMLCh* ExternalFunction::name_ `[protected]`

unsigned int ExternalFunction::numArgs_ `[protected]`

const XMLCh* ExternalFunction::uri_ `[protected]`

const XMLCh* ExternalFunction::uriName_ `[protected]`

The documentation for this class was generated from the following file:

- ExternalFunction.hpp